gnutls_handshake_set_max_packet_length(3)

NAME
gnutls_handshake_set_max_packet_length - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_max_packet_length(gnutls_session_t session, size_t max);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

size_t max
    is the maximum number.

DESCRIPTION
This function will set the maximum size of all handshake messages. Handshakes over this size are rejected with GNUTLS_E_HANDSHAKE_TOO_LARGE error code. The default value is 48kb which is typically large enough. Set this to 0 if you do not want to set an upper limit. The reason for restricting the handshake message sizes are to limit Denial of Service attacks.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/